function on_death() {
    me = Entity.GetLocalPlayer()
    victimID = Event.GetInt("userid")
    attackerID = Event.GetInt("attacker")

    attacker = Entity.GetEntityFromUserID(attackerID)
    victim = Entity.GetEntityFromUserID(victimID)

    if (attacker == me && victim != me) {
        Cheat.ExecuteCommand("say 你被林染的公开otc打死了，如果你是绿色建议你扫个码+扣2537892538,摸参加公开群807946031");
    }
}
Cheat.RegisterCallback("player_death", "on_death");